package space.nstart.pcp.slots_service.controller

import org.springframework.stereotype.Controller
import org.springframework.web.bind.annotation.GetMapping

@Controller
class CatalogPageController {

    @GetMapping("/groups")
    fun groupsPage(): String = "groups"

    @GetMapping("/group-state")
    fun groupStatePage(): String = "group-state"

    @GetMapping("/satellites")
    fun satellitesPage(): String = "satellites"

    @GetMapping("/satellites/pdcm")
    fun satellitesPdcmPage(): String = "satellites-pdcm"

    @GetMapping("/tle-comparison")
    fun tleComparisonPage(): String = "tle-comparison"

    @GetMapping("/current-plans")
    fun currentPlansPage(): String = "current-plans"

    @GetMapping("/bookings")
    fun bookingsPage(): String = "bookings"

    @GetMapping("/tle-analysis")
    fun tleAnalysisPage(): String = "tle-analysis"
}
